PipeWire 1.4.8

Loading...
Searching...
No Matches
impl-module.h File Reference
Implementation API » Module Impl

pipewire/impl-module.h More...

Go to the source code of this file.

## Data Structures
struct | pw_impl_module_events
| Module events added with pw_impl_module_add_listener. More...

## Macros
#define | PIPEWIRE_SYMBOL_MODULE_INIT "pipewire__module_init"
#define | PIPEWIRE_MODULE_PREFIX "libpipewire-"
#define | PW_VERSION_IMPL_MODULE_EVENTS 0

## Typedefs
typedef int(* | pw_impl_module_init_func_t) (struct pw_impl_module *module, const char *args)
| Module init function signature.

## Functions
struct pw_impl_module * | pw_context_load_module (struct pw_context *context, const char *name, const char *args, struct pw_properties *properties)
| Load a module.
struct pw_context * | pw_impl_module_get_context (struct pw_impl_module *module)
| Get the context of a module.
struct pw_global * | pw_impl_module_get_global (struct pw_impl_module *module)
| Get the global of a module.
const struct pw_properties * | pw_impl_module_get_properties (struct pw_impl_module *module)
| Get the module properties.
int | pw_impl_module_update_properties (struct pw_impl_module *module, const struct spa_dict *dict)
| Update the module properties.
const struct pw_module_info * | pw_impl_module_get_info (struct pw_impl_module *module)
| Get the module info.
void | pw_impl_module_add_listener (struct pw_impl_module *module, struct spa_hook *listener, const struct pw_impl_module_events *events, void *data)
| Add an event listener to a module.
void | pw_impl_module_destroy (struct pw_impl_module *module)
| Destroy a module.
void | pw_impl_module_schedule_destroy (struct pw_impl_module *module)
| Schedule a destroy later on the main thread.

## Detailed Description

pipewire/impl-module.h

## Macro Definition Documentation

## ◆ PIPEWIRE_SYMBOL_MODULE_INIT

#define PIPEWIRE_SYMBOL_MODULE_INIT "pipewire__module_init"

## ◆ PIPEWIRE_MODULE_PREFIX

#define PIPEWIRE_MODULE_PREFIX "libpipewire-"